GLE(1)

NAME
gle - Graphics Layout Engine

SYNOPSIS
gle [options] file.gle ...

DESCRIPTION
GLE (Graphics Layout Engine) is a graphics scripting language designed for creating publication quality graphs, plots, diagrams, figures and slides. GLE supports various graph types (function plots, histograms, bar graphs, scatter plots, contour lines, color maps, surface plots, ...) through a simple but flexible set of graphing commands. More complex output can be created by relying on GLE's scripting language, which is full featured with subroutines, variables, and logic control. GLE relies on LaTeX for text output and supports mathematical formulea in graphs and figures. GLE's output formats include EPS, PS, PDF, JPEG, and PNG.

DOCUMENTATION
GLE's documentation is distributed in PDF format and can be found at the GLE website:

<http://www.gle-graphics.org>

OPTIONS

-help
    Shows help about command line options.

-info
    Outputs software version, build date, GLE_TOP, GLE_BIN, etc..

-verbosity
    Sets the verbosity level of GLE console output.

-device
    Selects output device(s).

-cairo
    Use cairo output device.

-resolution
    Sets the resolution for bitmap and PDF output.

-fullpage
    Selects full page output.

-landscape
    Selects full page landscape output.

-output
    Specifies the name of the output file.

-nosave
    Don't write output file to disk (dry-run).

-preview
    Previews the output with QGLE.

-gs Previews the output with GhostScript.

-version
    Selects a GLE version to run.

-compatibility
    Selects a GLE compatibility mode.

-calc
    Runs GLE in "calculator" mode.

-catcsv
    Pretty print a CSV file to standard output.

-tex
    Indicates that the script includes LaTeX expressions.

-inc
    Creates an .inc file with LaTeX code.

-texincprefix
    Adds the given subdirectory to the path in the .inc file.

-mkinittex
    Creates "inittex.ini" from "init.tex".

-nocolor
    Forces grayscale output.

-transparent
    Creates transparent output (with -d png).

-noctrl-d
    Excludes CTRL-D from the PostScript output.

-nomaxpath
    Disables the upper-bound on the drawing path complexity.

-noligatures
    Disable the use of ligatures for 'fl' and 'fi'.

-gsoptions
    Specify additional options for GhostScript.

-safemode
    Disables reading/writing to the file system.

-allowread
    Allows reading from the given path.

-allowwrite
    Allows writing to the given path.

-keep
    Don't delete temporary files.

FILES
/usr/share/gle-graphics/glerc
    The system wide configuration file.
~/.glerc
    Per user configuration file.

ENVIRONMENT

GLE_USRLIB
    The search path for include files.

GLE_TOP
    The location of the fonts and other resources.